#  RPM spec file for fotoxx
#  ufraw, exiftool, xdg-open: needed for execution but not for build.

Name:          fotoxx
Version:       12.06.2
Release:       1
Summary:       Image Editor and Collection Manager
Vendor:        kornelix
Packager:      kornelix2@googlemail.com
License:       GPL3
Group:         Graphics/Photography
Source:        %{name}-%{version}.tar.gz
URL:           http://kornelix.squarespace.com/%{name}

%description
Navigate a large image collection using a thumbnail browser. View or edit images. 
Convert RAW files and edit with 16-bit color. Edit an image or a selected area 
or object within an image, without using layers. Cut and paste, blend, warp, etc. 
Paint retouch functions locally and gradually using the mouse. Edit using movable 
curves with full-screen feedback. Adjust brightness, color, contrast, gamma. 
Perform tone mapping, trim, rescale, rotate, warp, sharpen, blur. Reduce noise, 
fix red-eyes, erase power lines, fix perspective. Make composite images: HDR, 
HDF, stack, and panorama. Write text on images. Make artful transforms. Do a 
slide show. Create and edit image collections. Burn a CD or DVD. Edit tags, 
comments, captions, dates, star-ratings and any other metadata. Search images 
using these criteria plus directory and file names, with wildcard matching.

%prep
%setup -q

%build
make

%install
make install PREFIX=$RPM_BUILD_ROOT/usr

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/%{name} 
/usr/share/%{name}
/usr/share/doc/%{name}
/usr/share/applications/kornelix-%{name}.desktop
/usr/share/man/man1/%{name}.1.gz


